Attributi della stringa di connessione

Al posto di una finestra di dialogo, alcune applicazioni possono richiedere una stringa di connessione che specifica il modo in cui un driver si connette a un'origine dati mediante determinati attributi. Ogni attributo identifica specifiche informazioni necessarie per la connessione del driver. Il formato della stringa di connessione è sempre il seguente:

Copia codice
"DSN=<data-source-name> ;[SERVER=<value>] [;PWD=<value>] [;UID=<value>] [;<Attribute>=<value>]"
Nota:
Il driver Microsoft ODBC per Oracle supporta inoltre l'argomento CONNECTSTRING dalla prima versione (1.x) del driver.

Se non vengono specificati gli attributi UID, PWD, SERVER (o CONNECTSTRING) e DRIVER, è necessario specificare il nome dell'origine dati. Tutti gli altri attributi sono facoltativi. Se non viene specificato alcun attributo, per impostazione predefinita viene utilizzato l'attributo indicato nella scheda DSN della finestra di dialogo Amministrazione origine dati ODBC.

Nella tabella riportata di seguito vengono illustrati gli attributi della stringa di connessione:

Attributo Descrizione Valore predefinito

DSN

Nome dell'origine dati, elencato nella scheda DSN utente o DSN di sistema della finestra di dialogo Amministrazione origine dati ODBC.

""

PWD

Password per il server Oracle cui si desidera accedere. Questo driver supporta il limite Oracle di 30 caratteri e applica alle password le stesse limitazioni previste da Oracle.

""

SERVER

Stringa per il server Oracle cui si desidera accedere.

La stringa può essere un alias di database Oracle, una voce nel file Tnsnames.ora o un alias del quale sarà eseguito il mapping al server corretto tramite un server dei nomi Oracle.

È possibile impostare un alias del database utilizzando SQL*Net Fast Configuration (o Net8 Easy Configuration per i database Oracle8) di Oracle. Per ulteriori informazioni sulla connessione a un database Oracle, vedere la documentazione Oracle.

""

UID

Nome utente del server Oracle. Questo attributo può non essere facoltativo perché potrebbe essere richiesto a fini di sicurezza in alcuni database e tabelle.

Per specificare l'autenticazione del sistema operativo Oracle, utilizzare "UID=/;".

""

BUFFERSIZE

Dimensione ottimale del buffer per il recupero delle colonne.

Il driver ottimizza il recupero in modo che un'operazione di recupero dal server Oracle restituisca un numero di righe sufficiente per riempire un buffer della dimensione specificata. Valori superiori tendono a incrementare le prestazioni in caso di recupero di molti dati.

65535

SYNONYMCOLUMNS

Quando questo valore è true (1), una chiamata all'API SQLColumns restituisce le informazioni di colonna per tabelle, viste e sinonimi. Altrimenti, SQLColumns restituisce solo le colonne per tabelle e viste. Per prestazioni più veloci, non impostare questo valore.

1

REMARKS

Quando questo valore è true (1), il driver restituisce colonne con osservazioni per il set di risultati SQLColumns. Per prestazioni più veloci, non impostare questo valore.

0

StdDayOfWeek

Applica lo standard ODBC per la funzione scalare DAYOFWEEK. Si tratta del valore predefinito. Gli utenti che hanno bisogno della versione localizzata possono modificare il comportamento per utilizzare qualsiasi valore restituito da Oracle.

1
Nota:
Per i valori dell'attributo potrebbe essere rilevante la distinzione tra maiuscole e minuscole.

Esempi

La stringa di connessione seguente consente di connettersi all'origine dati Employees tramite il server Oracle mickey.world e l'utente Oracle cindy:

Copia codice
"DSN=Employees;UID=cindy;PWD=secret;SERVER=mickey.world"

La stringa di connessione seguente consente di connettersi all'origine dati Payroll tramite l'autenticazione del sistema operativo Oracle e il server Oracle moola:

Copia codice
"DSN=Payroll;UID=/;PWD=;SERVER=moola"


SQLColumns

Crea un set di risultati per una tabella, ossia l'elenco delle colonne presenti nella tabella o tabelle specificate. Quando si richiedono colonne per un sinonimo PUBLIC, è necessario impostare l'attributo di connessione SYNONYMCOLUMNS e specificare una stringa vuota come argomento szTableOwner. In caso di restituzione di colonne per sinonimi PUBLIC, il driver imposta la colonna TABLE NAME su una stringa vuota. Il set di risultati contiene una colonna aggiuntiva, ORDINAL POSITION, alla fine di ogni riga. Questo valore corrisponde alla posizione ordinale della colonna nella tabella.


Configurazione di Microsoft ODBC per Oracle (finestra di dialogo)

La finestra di dialogo Configurazione di Microsoft ODBC per Oracle contiene, tra gli altri, i controlli seguenti:

Nome origine dati

Nome o identificatore utilizzato dalle applicazioni per chiamare o utilizzare questa origine dati. È possibile utilizzare qualsiasi metodo descrittivo per denominare l'origine dati. Per impostazione predefinita i campo è vuoto, ma obbligatorio.

Descrizione

Contiene qualsiasi qualificatore descrittivo; per impostazione predefinita, il campo è vuoto.

Nome utente

Nome utente per l'origine dati.

Server

Alias del database creato in SQL*Net Easy Configuration o una stringa di connessione. Per informazioni sulla costruzione delle stringhe, vedere Attributi della stringa di connessione. Per la descrizione di stringhe di connessione a database personali e remoti, vedere la documentazione Oracle.

Conversione

Fare clic su Seleziona per scegliere un convertitore dei dati caricati; il valore predefinito è nessun convertitore.

Prestazioni

Dimensione buffer specifica la dimensione in byte allocata per la ricezione dei dati recuperati. Il driver ottimizza il recupero in modo che un'operazione di recupero dal server Oracle restituisca un numero di righe sufficiente per riempire un buffer della dimensione specificata. Valori superiori tendono a incrementare le prestazioni in caso di recupero di molti dati.

Includi REMARKS nelle funzioni Catalog specifica che il driver deve restituire le colonne con osservazioni per il set di risultati SQLColumns. Deselezionare questa opzione per prestazioni più veloci.

Includi SYNONYMS in SQLColumns specifica che, quando è impostato su True (1), una chiamata all'API SQLColumns() restituisce informazioni di colonna per tabelle, viste e sinonimi. Il driver recupera le informazioni di colonna più velocemente se non è impostato alcun valore o se il valore è impostato su 0.

Personalizzazione

Applicare standard giorni settimana ODBC imposta il set di risultati su un particolare giorno della settimana. Se selezionato, specifica che il set di risultati è conforme al formato dei giorni della settimana ODBC (domenica = 1; sabato = 7). In caso contrario, il valore è conforme al formato dei giorni della settimana Oracle (lunedì = 1; domenica = 7).

SQLDescribeCol restituisce sempre un valore per la precisione specifica che la chiamata SQLDescribeCol restituirà 130 per la precisione quando l'informazione non viene fornita in Oracle. Alcuni tipi di dati numerici Oracle non dispongono di precisione fissa, ad esempio colonne numeriche calcolate e colonne definite come NUMBER senza precisione o scala. Se questa casella di controllo viene deselezionata, il driver restituirà 0 per questi tipi di colonne.
Nota:
Per informazioni dettagliate e a livello di codice su questo driver, leggere ODBC Drivers in MSDN Library. Il driver Microsoft ODBC per Oracle supporta solo SQL*Net 2.3 o versioni successive. Per ulteriori informazioni sui prodotti Oracle, fare riferimento alla documentazione Oracle. Altre informazioni sono disponibili negli argomenti Livelli di supporto software e Servizio Supporto Tecnico Clienti Microsoft (driver Oracle).


Livelli di supporto software

Il driver Microsoft ODBC per Oracle supporta:

  • Tutte le versioni di Microsoft Windows

  • Oracle Call Interface 7 (OCI7)

  • SQL*Net 2.3 o versione successiva

  • ODBC 2.x e versioni precedenti. Il componente Windows Data Access Components è incluso nel sistema operativo Windows a partire da Windows XP e Windows Server 2003.


Servizio Supporto Tecnico Clienti Microsoft (driver Oracle)

Per informazioni dettagliate e a livello di codice su questo driver, vedere ODBC Drivers.

Oracle Corporation fornisce documentazione della guida specifica per la configurazione e l'utilizzo del software client Oracle.


Connessione di Microsoft ODBC per Oracle (finestra di dialogo)

La finestra di dialogo Connessione di Microsoft ODBC per Oracle contiene, tra gli altri, i controlli seguenti:

Nome utente

Nome utilizzato per la connessione al database Oracle.

Password

Password utilizzata per la connessione al database Oracle, con le stesse limitazioni sulle password previste da Oracle.

Server

Digitare un alias di database Oracle, una voce nel file Tnsnames.ora o un alias del quale sarà eseguito il mapping al server corretto tramite un server dei nomi Oracle.

Per ulteriori informazioni sulla connessione a un database Oracle, vedere ODBC Drivers in MSDN Library.

Le informazioni sul file Tnsnames.ora sono disponibili nella documentazione Oracle.


Copyright e informazioni legali

Le informazioni contenute nel presente documento, inclusi URL e altri riferimenti a siti Web, sono soggette a modifiche senza preavviso. Se non specificato diversamente, ogni riferimento a società, organizzazioni, prodotti, nomi di dominio, indirizzi di posta elettronica, logo, persone, luoghi ed eventi utilizzati negli esempi è puramente casuale e ha il solo scopo di illustrare l'uso del prodotto Microsoft. Nessuna associazione con nessuna società, organizzazione, prodotto, nome di dominio, indirizzo di posta elettronica, logo, persona, luogo o evento è intenzionale o può essere presupposta. Il rispetto di tutte le leggi applicabili in materia di copyright è esclusivamente a carico dell'utente. Fermi restando tutti i diritti coperti da copyright, nessuna parte del presente documento potrà comunque essere riprodotta, archiviata o inserita in un sistema di riproduzione o trasmessa in qualsiasi forma e con qualsiasi mezzo (in formato elettronico, meccanico, fotocopia, tramite registrazione o altro) per qualsiasi scopo, senza il permesso scritto di Microsoft Corporation.

Microsoft può essere titolare di brevetti, domande di brevetto, marchi, copyright o altri diritti di proprietà intellettuale relativi all'oggetto del presente documento. Salvo quanto espressamente previsto in un contratto scritto di licenza Microsoft, la consegna del presente documento non implica la concessione di alcuna licenza su tali brevetti, marchi, copyright o altra proprietà intellettuale.

© 2009 Microsoft Corporation. Tutti i diritti riservati.

Microsoft, Active Directory, ActiveX, JScript, Microsoft Press, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual Studio, Win32, Windows e Windows NT sono marchi di Microsoft Corporation.

Altri nomi di prodotti e società citati nel presente documento possono essere marchi dei rispettivi proprietari.


.topic 4209
Nome o identificatore utilizzato dalle applicazioni per chiamare o utilizzare questa origine dati. Per impostazione predefinita il campo è vuoto, ma obbligatorio.

.topic 4210
Qualificatori descrittivi; per impostazione predefinita il campo è vuoto.

.topic 4201
Quantità di dati, in byte, che l'applicazione tenterà di recuperare contemporaneamente.

.topic 4202
Digitare il nome utente del database, ovvero l'ID utente del database.

.topic 4203
Imposta il set di risultati su un formato dei giorni della settimana specifico, ODBC o Oracle.

.topic 4204
Se selezionata, specifica che il driver restituisce colonne con osservazioni per il set di risultati SQLColumns. Deselezionare questa opzione per prestazioni più veloci.

.topic 4205
Specifica che il driver restituisce le informazioni di colonna per SYNONYMS.

.topic 4206
Digitare la stringa di connessione per il motore del server Oracle a cui si desidera accedere.

.topic 4207
Fare clic per scegliere un convertitore dei dati caricati.

.topic 4208
Se selezionata, la chiamata a SQLDescribeCol restituisce 130 per la precisione quando l'informazione non viene fornita in Oracle. In caso contrario, il driver restituisce 0 per questi tipi di colonne.